Package com.sun.jna.platform.win32

# Class WinGDI.ICONINFO

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinGDI.ICONINFO

Enclosing interface:
  WinGDI

@FieldOrder({"fIcon","xHotspot","yHotspot","hbmMask","hbmColor"}) public static class WinGDI.ICONINFO extends Structure

## Nested Class Summary

## Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`fIcon`
`WinDef.HBITMAP`
`hbmColor`
`WinDef.HBITMAP`
`hbmMask`
`int`
`xHotspot`
`int`
`yHotspot`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`ICONINFO()`

## Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### fIcon

public boolean fIcon

### xHotspot

public int xHotspot

### yHotspot

public int yHotspot

### hbmMask

public WinDef.HBITMAP hbmMask

### hbmColor

public WinDef.HBITMAP hbmColor

## Constructor Details

### ICONINFO

public ICONINFO()